package com.ruoyi.abuwx.service.exam;

import com.ruoyi.abuwx.domain.exam.ExmExamRule;

import java.util.List;


/**
 * 考试抽题规则（随机试卷有效）Service接口
 * 
 * @author ruoyi
 * @date 2024-05-17
 */
public interface IExmExamRuleService 
{
    /**
     * 查询考试抽题规则（随机试卷有效）
     * 
     * @param id 考试抽题规则（随机试卷有效）主键
     * @return 考试抽题规则（随机试卷有效）
     */
    public ExmExamRule selectExmExamRuleById(Long id);

    /**
     * 查询考试抽题规则（随机试卷有效）列表
     * 
     * @param exmExamRule 考试抽题规则（随机试卷有效）
     * @return 考试抽题规则（随机试卷有效）集合
     */
    public List<ExmExamRule> selectExmExamRuleList(ExmExamRule exmExamRule);

    /**
     * 新增考试抽题规则（随机试卷有效）
     * 
     * @param exmExamRule 考试抽题规则（随机试卷有效）
     * @return 结果
     */
    public int insertExmExamRule(ExmExamRule exmExamRule);

    /**
     * 修改考试抽题规则（随机试卷有效）
     * 
     * @param exmExamRule 考试抽题规则（随机试卷有效）
     * @return 结果
     */
    public int updateExmExamRule(ExmExamRule exmExamRule);

    /**
     * 批量删除考试抽题规则（随机试卷有效）
     * 
     * @param ids 需要删除的考试抽题规则（随机试卷有效）主键集合
     * @return 结果
     */
    public int deleteExmExamRuleByIds(Long[] ids);

    /**
     * 删除考试抽题规则（随机试卷有效）信息
     * 
     * @param id 考试抽题规则（随机试卷有效）主键
     * @return 结果
     */
    public int deleteExmExamRuleById(Long id);
}
